% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/appdata.R
\docType{class}
\name{CitizenAir}
\alias{CitizenAir}
\title{CitizenAir app data}
\format{The CitizenAir object is an R6Class}
\usage{
CitizenAir
}
\description{
CitizenAir app data
}
\section{Fields}{

\describe{
\item{\code{endpoint}}{object of class \code{Endpoint} as returned by \code{as.Endpoint}}

\item{\code{stations}}{object of class \code{citizenair_stations} as returned by \code{\link{read_stations}}}

\item{\code{data}}{object of class \code{citizenair_userdata} as returned by \code{\link{read_citizenair}}}
}}

\section{Methods}{

\describe{
  \item{\code{fetch_timeseries(id = "123", time_span)}}{Get timeseries for Station with \code{id} and a certain time_span The argument \code{timespan.} Passed on to \code{sensorweb4R::getData}}
  \item{\code{getStations()}}{Get a SpatialPointsDataFrame of all stations}
}
}

\examples{
library(sensorweb4R)
e <- as.Endpoint("http://geo.irceline.be/sos/api/v1")
ca <- CitizenAir$new(e)
ca
ca$getPhenomena()

library(sp)
x <- ca$getStations()
plot(x)

library(lubridate)
x <- ca$fetch_timeseries(id = "1030")
period <- as.interval(as.POSIXct(Sys.Date() - 14), Sys.time())
x <- ca$fetch_timeseries(id = "1030", time_span = period)
}
\keyword{datasets}
